Index: branches/2.0-beta1/src/PacpusLib/XmlComponentConfig.cpp
===================================================================
--- branches/2.0-beta1/src/PacpusLib/XmlComponentConfig.cpp	(revision 162)
+++ branches/2.0-beta1/src/PacpusLib/XmlComponentConfig.cpp	(revision 165)
@@ -14,15 +14,10 @@
 DECLARE_STATIC_LOGGER("pacpus.core.XmlComponentConfig");
 
-// FIXME: const char* instead of const string
-static const string kPropertyComponentName = "name";
-static const string kPropertyComponentType = "type";
-static const string kPropertyConnectionType = "type";
-static const string kPropertyConnectionInput = "input";
-static const string kPropertyConnectionOutput = "output";
-static const string kPropertyConnectionPriority = "priority";
-//static const string kPropertyConnectionInputC = "inputC";
-//static const string kPropertyConnectionInputP = "inputP";
-//static const string kPropertyConnectionOutputC = "outputC";
-//static const string kPropertyConnectionOutputP = "outputP";
+static const char* kPropertyComponentName = "name";
+static const char* kPropertyComponentType = "type";
+static const char* kPropertyConnectionType = "type";
+static const char* kPropertyConnectionInput = "input";
+static const char* kPropertyConnectionOutput = "output";
+static const char* kPropertyConnectionPriority = "priority";
 
 XmlComponentConfig::XmlComponentConfig(const QString& name)
@@ -47,5 +42,5 @@
     {
         LOG_ERROR("cannot add component property:"
-                  << " component '" << component_.attribute(kPropertyComponentName.c_str()) << "'"
+                  << " component '" << component_.attribute(kPropertyComponentName) << "'"
                   << " already contains property '" << name << "'"
                   << " and its value is '" << component_.attribute(name) << "'"
@@ -57,5 +52,5 @@
     component_.setAttribute(name, 0);
     LOG_INFO("property '" << name << "'"
-              << " was added to the component " << component_.attribute(kPropertyComponentName.c_str()) << "'"
+              << " was added to the component " << component_.attribute(kPropertyComponentName) << "'"
               << " and set to '" << component_.attribute(name) << "'"
               );
@@ -66,5 +61,5 @@
     if (!hasProperty(name)) {
         LOG_WARN("cannot delete compoenent property '" << name << "'"
-                 << " of component '" << component_.attribute(kPropertyComponentName.c_str()) << "'"
+                 << " of component '" << component_.attribute(kPropertyComponentName) << "'"
                  << ". Component does not contain this property."
                  );
@@ -75,5 +70,5 @@
     component_.removeAttribute(name);
     LOG_INFO("property '" << name << "' "
-      << " of component '" << component_.attribute(kPropertyComponentName.c_str()) << "'"
+      << " of component '" << component_.attribute(kPropertyComponentName) << "'"
       << " was deleted"
       );
@@ -87,5 +82,5 @@
     {
         LOG_WARN("cannot retrieve component property '" << name << "'"
-                 << " of component '" << component_.attribute(kPropertyComponentName.c_str()) << "'"
+                 << " of component '" << component_.attribute(kPropertyComponentName) << "'"
                  << ". Component does not contain this property."
                  );
@@ -116,5 +111,5 @@
     component_.setAttribute(name, value);
     LOG_INFO("property " << name
-             << " of the component " << component_.attribute(kPropertyComponentName.c_str())
+             << " of the component " << component_.attribute(kPropertyComponentName)
              << " was set to : " << value
              );
@@ -138,30 +133,29 @@
 QString const XmlComponentConfig::getComponentName() const
 {
-    //return component_.attribute(kPropertyComponentName.c_str());
-    return getProperty(kPropertyComponentName.c_str());
+    return getProperty(kPropertyComponentName);
 }
 
 QString const XmlComponentConfig::getComponentType() const
 {
-    return getProperty(kPropertyComponentType.c_str());
+    return getProperty(kPropertyComponentType);
 }
 
 QString const XmlComponentConfig::getConnectionType() const
 {
-    return getProperty(kPropertyConnectionType.c_str());
+    return getProperty(kPropertyConnectionType);
 }
 
 QString const XmlComponentConfig::getConnectionInput() const
 {
-    return getProperty(kPropertyConnectionInput.c_str());
+    return getProperty(kPropertyConnectionInput);
 }
 
 QString const XmlComponentConfig::getConnectionOutput() const
 {
-    return getProperty(kPropertyConnectionOutput.c_str());
+    return getProperty(kPropertyConnectionOutput);
 }
 
 int const XmlComponentConfig::getConnectionPriority() const
 {
-    return getIntProperty(kPropertyConnectionPriority.c_str(),0);
+    return getIntProperty(kPropertyConnectionPriority, /*defaultValue=*/0);
 }
